Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.functions
Class VendorFunctionLibrary

    java.lang.Object
      net.sf.saxon.functions.IntegratedFunctionLibrary
          net.sf.saxon.functions.VendorFunctionLibrary

All Implemented Interfaces:
  Serializable, FunctionLibrary

Direct Known Subclasses:
  ExtraFunctionLibrary

    public class VendorFunctionLibrary

extends IntegratedFunctionLibrary

The VendorFunctionLibrary represents specially-recognized functions in the Saxon namespace.

See Also:
  Serialized Form

Constructor Summary
`VendorFunctionLibrary()` Create the Vendor Function Library for Saxon

Method Summary
`protected void` | `init()`
`Expression` | `makeSaxonFunction(String localName, Expression[] arguments, StaticContext env, Container container)` Make a Saxon function with a given name

Methods inherited from class net.sf.saxon.functions.IntegratedFunctionLibrary
`bind, copy, getFunctionSignature, iterateFunctionNames, registerFunction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VendorFunctionLibrary

    public VendorFunctionLibrary()

  Create the Vendor Function Library for Saxon

Method Detail

### init

    protected void init()

### makeSaxonFunction

    public Expression makeSaxonFunction(String localName,
                                        Expression[] arguments,
                                        StaticContext env,
                                        Container container)
                                 throws XPathException

  Make a Saxon function with a given name

  Parameters:
    `localName` - the local name of the function
    `arguments` - the arguments of the function
    `env` - the static context
    `container` - the container for the new expression
  Returns:
    an exprssion representing a call on the given function
  Throws:
    `XPathException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.